Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Policy.h File Reference

`#include "ace/Addr.h"`
`#include "tao/PortableServer/ORB_Manager.h"`
`#include "orbsvcs/AV/AV_export.h"`

Include dependency graph for Policy.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_AV_Callback
| Callback class that the user will be implementing for receiving frames from the network and also for timer events. More...
struct | TAO_AV_frame_info
class | TAO_AV_Payload_Type_Policy
class | TAO_AV_Policy
struct | TAO_AV_RTCP_Sdes
class | TAO_AV_RTCP_Sdes_Policy
class | TAO_AV_SFP_Credit_Policy
class | TAO_AV_SSRC_Policy
## Defines
#define | TAO_AV_SSRC_POLICY 100
#define | TAO_AV_PAYLOAD_TYPE_POLICY 101
#define | TAO_AV_TIMEOUT_POLICY 102
#define | TAO_AV_RTCP_SDES_POLICY 103
#define | TAO_AV_SFP_CREDIT_POLICY 104
## Typedefs
typedef TAO_Unbounded_Sequence< TAO_AV_Policy * > | TAO_AV_PolicyList

## Detailed Description

Id:
  Policy.h,v 5.10 2003/07/21 23:51:30 dhinton Exp

Author:
  Nagarajan Surendran <naga@cs.wustl.edu>

## Define Documentation

#define TAO_AV_PAYLOAD_TYPE_POLICY 101

#define TAO_AV_RTCP_SDES_POLICY 103

#define TAO_AV_SFP_CREDIT_POLICY 104

#define TAO_AV_SSRC_POLICY 100

#define TAO_AV_TIMEOUT_POLICY 102

## Typedef Documentation

typedef TAO_Unbounded_Sequence<TAO_AV_Policy*> TAO_AV_PolicyList